Run a workflow

Server: https://{kibana_url}
  • POST /api/workflows/workflow/{id}/run
  • POST /s/{space_id}/api/workflows/workflow/{id}/run

Refer to Spaces for more information.

Execute a workflow by its ID with the provided inputs. The workflow must be enabled and have a valid definition. Returns an execution ID that can be used to monitor progress.

[Required authorization] Route required privileges: workflowsManagement:execute.

Path Parameters

id string · max: 255 required

Workflow ID

Response

200

Indicates a successful response

application/json